package district

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/district"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/district/children district GetDistrictChildren
//
// get district children | 获取子级地址列表
//
// get district children | 获取子级地址列表
//
// Responses:
//  200: []*DistrictInfo

func GetDistrictChildrenHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.GetDistrictChildrenReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := district.NewGetDistrictChildrenLogic(r, r.Context(), svcCtx)
		resp, err := l.GetDistrictChildren(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
